/*
     net logger - network traffic logging library
     Copyright (C) 1993 Douglas Lee Schales, David K. Hess, David R. Safford

     Please see the file `COPYING' for the complete copyright notice.

misc.c - 03/20/93

*/
#include <ctype.h>

#include "defs.h"

int
isnumstr(char *s)
{
     for(;*s;s++)
	  if(!isdigit(*s))
	       break;

     return !*s;
}

bumpit(struct val_str_hndl *x, int ndx)
{
     struct val_str_hndl temp;
     if(ndx){
	  temp = x[ndx-1];
	  x[ndx-1] = x[ndx];
	  x[ndx] = temp;
     }
}
